import { createAsyncThunk } from "@reduxjs/toolkit";
import { LOADING_END, LOADING_START } from "../../../lib/redux/slices/appSlice";
import axios from "axios";
import { getRoleFromUrl } from "../../../utils/getRoleFromUrl";

export const slaughterGetProductsService = createAsyncThunk(
  "SLAUGHTER_INVENTORY_GET_PRODUCTS",
  async (d, { dispatch }) => {
    dispatch(LOADING_START());
    const { data, status } = await axios.get("roles-products", {
      params: {
        role: getRoleFromUrl(),
        role_key: d.role_key || "",
      },
    });
    dispatch(LOADING_END());
    return { data, status };
  }
);

export const slaughterGetExclusiveKillersService = createAsyncThunk(
  "SLAUGHTER_GET_EXCLUSIVE_KILLERS",
  async (d, { dispatch }) => {
    dispatch(LOADING_START());
    const { data, status } = await axios.get(
      "kill_house/?exclusive-killers-free-bar=true"
    );
    dispatch(LOADING_END());
    return { data, status };
  }
);
